[jdk8] don't allow jdk 6 nor 7
authorAsier Lostalé <asier.lostale@openbravo.com>
Mon, 16 Jul 2018 09:48:37 +0200
changeset 34305 c1b26c569ce4
parent 34304 c925911a5c0b
child 34306 24c23f55ecef
[jdk8] don't allow jdk 6 nor 7
build.xml
--- a/build.xml	Wed Jul 11 09:03:01 2018 +0200
+++ b/build.xml	Mon Jul 16 09:48:37 2018 +0200
@@ -359,7 +359,10 @@
     <fail if="no.java.home" message="The environment variable JAVA_HOME is not set." />
     <fail message="Unsupported Java version ${ant.java.version}. Minimum required is 8 (1.8).">
       <condition>
-        <equals arg1="${ant.java.version}" arg2="1.7"/>
+        <or>
+          <equals arg1="${ant.java.version}" arg2="1.6"/>
+          <equals arg1="${ant.java.version}" arg2="1.7"/>
+        </or>
       </condition>
     </fail>
     <antversion property="min.ant.version" atleast="1.9.2" />